Package org.codehaus.groovy.control

# Class ASTTransformationsContext

java.lang.Object
org.codehaus.groovy.control.ASTTransformationsContext

public class ASTTransformationsContext extends Object
Stores state information about global AST transformations applied to a compilation unit.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final CompilationUnit`
  `compilationUnit`
  `protected final Set<String>`
  `globalTransformNames`
  `protected final GroovyClassLoader`
  `transformLoader`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ASTTransformationsContext(CompilationUnit compilationUnit, GroovyClassLoader transformLoader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompilationUnit`
  `getCompilationUnit()`
  `Set<String>`
  `getGlobalTransformNames()`
  `GroovyClassLoader`
  `getTransformLoader()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### transformLoader

    protected final GroovyClassLoader transformLoader

  - ### compilationUnit

    protected final CompilationUnit compilationUnit

  - ### globalTransformNames

    protected final Set<String> globalTransformNames

- ## Constructor Details

  - ### ASTTransformationsContext

    public ASTTransformationsContext(CompilationUnit compilationUnit, GroovyClassLoader transformLoader)

- ## Method Details

  - ### getCompilationUnit

    public CompilationUnit getCompilationUnit()

  - ### getGlobalTransformNames

    public Set<String> getGlobalTransformNames()

  - ### getTransformLoader

    public GroovyClassLoader getTransformLoader()